<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">




        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">




            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvDetectionStyle"
                        android:text="箱号" />
                    <TextView
                        style="@style/tvDetectionStyle"
                        android:text="：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_box_number"
                        />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:layout_marginLeft="@dimen/dp_40"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvDetectionStyle"
                        android:text="内件码" />
                    <TextView
                        style="@style/tvDetectionStyle"
                        android:text="：" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        style="@style/mtRightStyle"
                        android:id="@+id/mt_unit_code"
                        />
                </LinearLayout>
            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll_result"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_white_et"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="20dp"
                android:paddingBottom="10dp"
                android:paddingTop="10dp"
                android:gravity="center"
                android:orientation="horizontal">
                <TextView
                    android:id="@+id/btn_result"
                    style="@style/tvLeftStyle"
                    android:paddingStart="20dp"
                    android:paddingEnd="20dp"
                    android:textSize="50sp"/>
            </LinearLayout>


            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:scrollbars="vertical"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                >
                <android.support.v7.widget.RecyclerView
                    android:id="@+id/recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:overScrollMode="never"/>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_details"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >
            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll_recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >
            </LinearLayout>




            <LinearLayout
                android:id="@+id/ll_step2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:orientation="horizontal"
                android:gravity="center_horizontal"
                android:visibility="gone"
                android:layout_gravity="bottom"
                android:padding="10dp">

                <TextView
                    style="@style/DetectionFontSize"
                    android:id="@+id/btn_suspend"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="检测中断"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
                <TextView
                    style="@style/DetectionFontSize"
                    android:id="@+id/btn_finish"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="检修完成"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:scrollbars="vertical"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                >
                <android.support.v7.widget.RecyclerView
                    android:id="@+id/result_recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:overScrollMode="never"/>
            </LinearLayout>




        </LinearLayout>


</RelativeLayout>